<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PrayerCategory extends Model
{
    use HasFactory;
    
     protected $fillable = ['prayer_category_name'];

    public function prayerPoints()
    {
        return $this->hasMany(PrayerPoint::class, 'prayer_category_id');
    }

    public function subCategories()
    {
        return $this->hasMany(PrayerSubCategory::class, 'prayer_category_id');
    }


}
